Bug Hunting Session
Bug 106702 - FILESAVE: PDF: Only first page's background is exported
Summary: FILESAVE: PDF: Only first page's background is exported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: JPEG-compression-regressions
  Show dependency treegraph
 
Reported: 2017-03-22 17:22 UTC by Xisco Faulí
Modified: 2018-05-29 13:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-03-22 17:22:59 UTC
Steps to reproduce:
1. Open attachment 76212 [details] from bug 62052
2. Export to PDF

Observed behaviour: Only the first page's background is exported.


Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 4ba483beccc99d336d0e0bec47b5fd6823b16c16
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Buovjaga 2017-03-27 09:48:01 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 595e3971b130addbc6e5b749f53fc681fa6bc031
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 27th 2016
Comment 3 Aron Budea 2017-04-01 00:34:11 UTC Comment hidden (bibisection)
Comment 4 Aron Budea 2017-04-01 00:36:26 UTC
Bibisecting takes us the same commit as in bug 99723. Adding Cc: to Michael Meeks.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=76ec54e8c9f3580450bca85236a4f5af0c328588
author		Michael Meeks <michael.meeks@collabora.com>	2016-02-08 14:24:15 (GMT)
committer	Michael Meeks <michael.meeks@collabora.com>	2016-02-09 00:09:08 (GMT)

"tdf#97662 - Try to preserve original compressed JPEGs harder."
Comment 5 Xisco Faulí 2018-05-03 10:37:11 UTC
Still reproducible in

Version: 6.1.0.0.alpha1+
Build ID: f1579d3d6c5f5f3a651825e035b93bee7a4f43c6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 6 Commit Notification 2018-05-22 17:31:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c2172a3e973bc6351107a3a1b554c77b40b75dd

tdf#106702 PDF export: fix missing images from Writer headers/footers

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-05-27 15:52:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=327c7ee43fbe53df63693d020356ddf4df56d7f1&h=libreoffice-6-0

tdf#106702 PDF export: fix missing images from Writer headers/footers

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-05-29 13:53:56 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Miklos, Thanks for fixing this!!